TagLib::DSDIFF::DIIN::Tag Class Reference

`#include <dsdiffdiintag.h>`

Inheritance diagram for TagLib::DSDIFF::DIIN::Tag:
[legend]
Collaboration diagram for TagLib::DSDIFF::DIIN::Tag:
[legend]

## Public Member Functions

| Tag ()
| ~Tag () override
String | title () const override
String | artist () const override
String | album () const override
String | comment () const override
String | genre () const override
unsigned int | year () const override
unsigned int | track () const override
void | setTitle (const String &title) override
void | setArtist (const String &artist) override
void | setAlbum (const String &album) override
void | setComment (const String &comment) override
void | setGenre (const String &genre) override
void | setYear (unsigned int year) override
void | setTrack (unsigned int track) override
PropertyMap | properties () const override
PropertyMap | setProperties (const PropertyMap &) override
Public Member Functions inherited from TagLib::Tag
| Tag (const Tag &)=delete
Tag & | operator= (const Tag &)=delete
virtual void | removeUnsupportedProperties (const StringList &properties)
virtual StringList | complexPropertyKeys () const
virtual List< VariantMap > | complexProperties (const String &key) const
virtual bool | setComplexProperties (const String &key, const List< VariantMap > &value)
virtual bool | isEmpty () const

## Additional Inherited Members

Static Public Member Functions inherited from TagLib::Tag
static void | duplicate (const Tag *source, Tag *target, bool overwrite=true)
static String | joinTagValues (const StringList &values)
Protected Member Functions inherited from TagLib::Tag
| Tag ()

## Detailed Description

Tags from the Edited Master Chunk Info

Only Title and Artist tags are supported

## Constructor & Destructor Documentation

## Tag()

TagLib::DSDIFF::DIIN::Tag::Tag | ( |  | ) |

## ~Tag()

TagLib::DSDIFF::DIIN::Tag::~Tag | ( |  | ) |

override virtual

Destroys this Tag instance.

Reimplemented from TagLib::Tag.

## Member Function Documentation

## album()

String TagLib::DSDIFF::DIIN::Tag::album | ( |  | ) | const

override virtual

Not supported. Therefore always returns String().

Implements TagLib::Tag.

Referenced by setAlbum().

## artist()

String TagLib::DSDIFF::DIIN::Tag::artist | ( |  | ) | const

override virtual

Returns the artist name; if no artist name is present in the tag String() will be returned.

Implements TagLib::Tag.

Referenced by setArtist().

## comment()

String TagLib::DSDIFF::DIIN::Tag::comment | ( |  | ) | const

override virtual

Not supported. Therefore always returns String().

Implements TagLib::Tag.

Referenced by setComment().

## genre()

String TagLib::DSDIFF::DIIN::Tag::genre | ( |  | ) | const

override virtual

Not supported. Therefore always returns String().

Implements TagLib::Tag.

Referenced by setGenre().

## properties()

PropertyMap TagLib::DSDIFF::DIIN::Tag::properties | ( |  | ) | const

override virtual

Implements the unified property interface – export function. Since the DIIN tag is very limited, the exported map is as well.

Reimplemented from TagLib::Tag.

## setAlbum()

void TagLib::DSDIFF::DIIN::Tag::setAlbum | ( | const String & | album | ) |

override virtual

Not supported and therefore ignored.

Implements TagLib::Tag.

References album().

## setArtist()

void TagLib::DSDIFF::DIIN::Tag::setArtist | ( | const String & | artist | ) |

override virtual

Sets the artist to artist. If artist is String() then this value will be cleared.

Implements TagLib::Tag.

References artist().

## setComment()

void TagLib::DSDIFF::DIIN::Tag::setComment | ( | const String & | comment | ) |

override virtual

Not supported and therefore ignored.

Implements TagLib::Tag.

References comment().

## setGenre()

void TagLib::DSDIFF::DIIN::Tag::setGenre | ( | const String & | genre | ) |

override virtual

Not supported and therefore ignored.

Implements TagLib::Tag.

References genre().

## setProperties()

PropertyMap TagLib::DSDIFF::DIIN::Tag::setProperties | ( | const PropertyMap & |  | ) |

override virtual

Implements the unified property interface – import function. Because of the limitations of the DIIN file tag, any tags besides TITLE and ARTIST, will be returned. Additionally, if the map contains tags with multiple values, all but the first will be contained in the returned map of unsupported properties.

Reimplemented from TagLib::Tag.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## setTitle()

void TagLib::DSDIFF::DIIN::Tag::setTitle | ( | const String & | title | ) |

override virtual

Sets the title to title. If title is String() then this value will be cleared.

Implements TagLib::Tag.

References title().

## setTrack()

void TagLib::DSDIFF::DIIN::Tag::setTrack | ( | unsigned int | track | ) |

override virtual

Not supported and therefore ignored.

Implements TagLib::Tag.

References track().

## setYear()

void TagLib::DSDIFF::DIIN::Tag::setYear | ( | unsigned int | year | ) |

override virtual

Not supported and therefore ignored.

Implements TagLib::Tag.

References year().

## title()

String TagLib::DSDIFF::DIIN::Tag::title | ( |  | ) | const

override virtual

Returns the track name; if no track name is present in the tag String() will be returned.

Implements TagLib::Tag.

Referenced by setTitle().

## track()

unsigned int TagLib::DSDIFF::DIIN::Tag::track | ( |  | ) | const

override virtual

Not supported. Therefore always returns 0.

Implements TagLib::Tag.

Referenced by setTrack().

## year()

unsigned int TagLib::DSDIFF::DIIN::Tag::year | ( |  | ) | const

override virtual

Not supported. Therefore always returns 0.

Implements TagLib::Tag.

Referenced by setYear().

The documentation for this class was generated from the following file:

- dsdiffdiintag.h